Permalink
Browse files

Regenerate gemspec for version 0.2.5

  • Loading branch information...
1 parent d2e510e commit 1b8112a8dca76b48c29e45b6b00a8167843ee369 @wtaysom committed Jun 23, 2011
Showing with 23 additions and 32 deletions.
  1. +23 −32 rglpk.gemspec
View
@@ -1,15 +1,15 @@
# Generated by jeweler
# DO NOT EDIT THIS FILE DIRECTLY
-# Instead, edit Jeweler::Tasks in Rakefile, and run the gemspec command
+# Instead, edit Jeweler::Tasks in Rakefile, and run 'rake gemspec'
# -*- encoding: utf-8 -*-
Gem::Specification.new do |s|
s.name = %q{rglpk}
- s.version = "0.2.4"
+ s.version = "0.2.5"
s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
s.authors = ["Alex Gutteridge", "William Taysom"]
- s.date = %q{2010-11-04}
+ s.date = %q{2011-06-23}
s.description = %q{Rglpk is a package providing a Ruby wrapper to the [GNU GLPK](http://www.gnu.org/software/glpk/) library. The GLPK (GNU Linear Programming Kit) package is intended for solving large-scale linear programming (LP), mixed integer programming (MIP), and other related problems.
Rglpk (pronounced as "wriggle-pick") is currently in alpha status and the API should be considered subject to change. Rglpk uses [Swig](http://www.swig.org/) to initially wrap the C GLPK library (using a Swig wrapper originally developed by Nigel Galloway) and then a pure Ruby library to wrap the Swig code in a more friendly OO-style.
@@ -19,44 +19,35 @@ See [github](http://github.com/wtaysom/rglpk) for installation instructions. Al
s.extensions = ["ext/extconf.rb", "ext/extconf.rb"]
s.extra_rdoc_files = [
"ChangeLog.md",
- "README.md"
+ "README.md"
]
s.files = [
- ".gitignore",
- "ChangeLog.md",
- "License.txt",
- "README.md",
- "Rakefile",
- "VERSION",
- "ext/extconf.rb",
- "ext/glpk_wrapper.c",
- "lib/rglpk.rb",
- "rglpk.gemspec",
- "swig/Makefile.in",
- "swig/configure.in",
- "swig/glpk.i",
- "test/helper.rb",
- "test/test_all.rb",
- "test/test_basic.rb",
- "test/test_brief_example.rb",
- "test/test_problem_kind.rb"
+ "ChangeLog.md",
+ "License.txt",
+ "README.md",
+ "Rakefile",
+ "VERSION",
+ "ext/extconf.rb",
+ "ext/glpk_wrapper.c",
+ "lib/rglpk.rb",
+ "rglpk.gemspec",
+ "swig/Makefile.in",
+ "swig/configure.in",
+ "swig/glpk.i",
+ "test/helper.rb",
+ "test/test_all.rb",
+ "test/test_basic.rb",
+ "test/test_brief_example.rb",
+ "test/test_problem_kind.rb"
]
s.homepage = %q{http://rglpk.rubyforge.org/}
- s.rdoc_options = ["--charset=UTF-8", "--exclude", "."]
+ s.rdoc_options = ["--exclude", "."]
s.require_paths = ["lib", "ext", "ext"]
s.rubyforge_project = %q{rglpk}
- s.rubygems_version = %q{1.3.7}
+ s.rubygems_version = %q{1.6.2}
s.summary = %q{Rglpk is a package providing a Ruby wrapper to the [GNU GLPK](http://www.gnu.org/software/glpk/) library. The GLPK (GNU Linear Programming Kit) package is intended for solving large-scale linear programming (LP), mixed integer programming (MIP), and other related problems.}
- s.test_files = [
- "test/helper.rb",
- "test/test_all.rb",
- "test/test_basic.rb",
- "test/test_brief_example.rb",
- "test/test_problem_kind.rb"
- ]
if s.respond_to? :specification_version then
- current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
s.specification_version = 3
if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then

0 comments on commit 1b8112a

Please sign in to comment.